<template>
  <AdminLayout>
    <Breadcrumb
      currentPageText="Yetkili Olunan Kişi/Kurum Detay"
      :go="'/uyeler/detay/' + route.params.uyeId + '/uye-bilgileri'" />
    <tabs :tabList="tabList" isUseRoute v-if="loaded">
      <template #kisi-kurum-bilgileri>
        <tab-yetkili-uye-bilgileri />
      </template>
      <template #piyangolar>
        <tab-uye-piyangolar />
      </template>
      <template #onay-durumu>
        <tab-uye-onay-durumu v-if="usersStore.isPanelUser" />
        <tab-uye-onay-durumu-user v-else />
      </template>
    </tabs>
  </AdminLayout>
</template>
<script setup lang="ts">
  import { ref, onBeforeMount } from 'vue'
  import { useRoute } from 'vue-router'
  const route = useRoute()
  import { useUsersStore } from '@/stores/usersStore'
  const usersStore = useUsersStore()
  import { useDataStore } from '@/stores/dataStore'
  const dataStore = useDataStore()

  import AdminLayout from '@/layouts/AdminLayout.vue'
  import TabYetkiliUyeBilgileri from '../components/TabYetkiliUyeBilgileri.vue'
  import TabUyePiyangolar from '../components/TabUyePiyangolar.vue'
  import TabUyeOnayDurumu from '../components/TabUyeOnayDurumu.vue'
  import TabUyeOnayDurumuUser from '../components/TabUyeOnayDurumuUser.vue'

  const loaded = ref<boolean>(false)
  const tabList = ref<Record<string, any>[]>([
    { text: 'Kişi/Kurum Bilgileri', id: 'kisi-kurum-bilgileri' }
  ])
  
  if (usersStore.isPanelUser || usersStore.isAraciFirma) {
    tabList.value.push({ text: 'Piyangolar', id: 'piyangolar' })
  }
  
  tabList.value.push({ text: 'Onay Durumu', id: 'onay-durumu' })

  onBeforeMount(async () => {
    usersStore.SetSelectedUser()

    if (route.name !== 'UyeYetkiliYeni') {
      let tip = await dataStore.dataGet('Auth/uyedurumkontrol/' + route.params.altUyeId)
      usersStore.userSubApproveId = tip.userIslemtipi
    }
    loaded.value = true
  })
</script>
